package com.ruoyi.project.system.mapper;

import com.ruoyi.project.system.domain.ProductMaterial;

import java.util.List;

/**
 * 材质Mapper接口
 *
 * @author zhu
 * @date 2023-10-24
 */
public interface ProductMaterialMapper {
    /**
     * 查询材质
     *
     * @param id 材质主键
     * @return 材质
     */
    public ProductMaterial selectProductMaterialById(Long id);

    /**
     * 查询材质列表
     *
     * @param productMaterial 材质
     * @return 材质集合
     */
    public List<ProductMaterial> selectProductMaterialList(ProductMaterial productMaterial);

    /**
     * 新增材质
     *
     * @param productMaterial 材质
     * @return 结果
     */
    public int insertProductMaterial(ProductMaterial productMaterial);

    /**
     * 修改材质
     *
     * @param productMaterial 材质
     * @return 结果
     */
    public int updateProductMaterial(ProductMaterial productMaterial);

    /**
     * 删除材质
     *
     * @param id 材质主键
     * @return 结果
     */
    public int deleteProductMaterialById(Long id);

    /**
     * 批量删除材质
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProductMaterialByIds(Long[] ids);
}
